=== debian/control ===
Source: kross
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.109.0~),
               libkf5completion-dev (>= 5.109.0~),
               libkf5coreaddons-dev (>= 5.109.0~),
               libkf5doctools-dev (>= 5.109.0~),
               libkf5i18n-dev (>= 5.109.0~),
               libkf5iconthemes-dev (>= 5.109.0~),
               libkf5kio-dev (>= 5.109.0~),
               libkf5parts-dev (>= 5.109.0~),
               libkf5widgetsaddons-dev (>= 5.109.0~),
               libkf5xmlgui-dev (>= 5.109.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtscript5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.15.2~),
               xauth,
               xvfb,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kross
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross
Rules-Requires-Root: no

Package: kross
Architecture: any
Depends: libkf5krosscore5 (= ${binary:Version}),
         libkf5krossui5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: kross-dev
Section: libdevel
Architecture: any
Depends: kross (= ${binary:Version}),
         libkf5i18n-dev (>= 5.109.0~),
         libkf5iconthemes-dev (>= 5.109.0~),
         libkf5kio-dev (>= 5.109.0~),
         libkf5parts-dev (>= 5.109.0~),
         libkf5widgetsaddons-dev (>= 5.109.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: development files for kross
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
 .
 Contains development files for kross.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5krosscore5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kross (>= ${binary:Version})
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: libkf5krossui5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
Multi-Arch: same
