=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.109.0~),
-               libkf5completion-dev (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5doctools-dev (>= 5.109.0~),
-               libkf5i18n-dev (>= 5.109.0~),
-               libkf5iconthemes-dev (>= 5.109.0~),
-               libkf5kio-dev (>= 5.109.0~),
-               libkf5parts-dev (>= 5.109.0~),
-               libkf5widgetsaddons-dev (>= 5.109.0~),
-               libkf5xmlgui-dev (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
+               libkf5completion-dev (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5doctools-dev (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
+               libkf5iconthemes-dev (>= 5.110.0~),
+               libkf5kio-dev (>= 5.110.0~),
+               libkf5parts-dev (>= 5.110.0~),
+               libkf5widgetsaddons-dev (>= 5.110.0~),
+               libkf5xmlgui-dev (>= 5.110.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qtscript5-dev (>= 5.15.2~),
@@ -44,11 +44,11 @@
 Section: libdevel
 Architecture: any
 Depends: kross (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.109.0~),
-         libkf5iconthemes-dev (>= 5.109.0~),
-         libkf5kio-dev (>= 5.109.0~),
-         libkf5parts-dev (>= 5.109.0~),
-         libkf5widgetsaddons-dev (>= 5.109.0~),
+         libkf5i18n-dev (>= 5.110.0~),
+         libkf5iconthemes-dev (>= 5.110.0~),
+         libkf5kio-dev (>= 5.110.0~),
+         libkf5parts-dev (>= 5.110.0~),
+         libkf5widgetsaddons-dev (>= 5.110.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Description: development files for kross
