=== debian/control ===
--- 
+++ 
@@ -4,26 +4,26 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.115.0~),
-               libkf5completion-dev (>= 5.115.0~),
-               libkf5coreaddons-dev (>= 5.115.0~),
-               libkf5doctools-dev (>= 5.115.0~),
-               libkf5i18n-dev (>= 5.115.0~),
-               libkf5iconthemes-dev (>= 5.115.0~),
-               libkf5kio-dev (>= 5.115.0~),
-               libkf5parts-dev (>= 5.115.0~),
-               libkf5widgetsaddons-dev (>= 5.115.0~),
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 5.116.0~),
+               libkf5completion-dev (>= 5.116.0~),
+               libkf5coreaddons-dev (>= 5.116.0~),
+               libkf5doctools-dev (>= 5.116.0~),
+               libkf5i18n-dev (>= 5.116.0~),
+               libkf5iconthemes-dev (>= 5.116.0~),
+               libkf5kio-dev (>= 5.116.0~),
+               libkf5parts-dev (>= 5.116.0~),
+               libkf5widgetsaddons-dev (>= 5.116.0~),
                libkf5windowsystem-dev (>= 5.115.0~),
-               libkf5xmlgui-dev (>= 5.115.0~),
+               libkf5xmlgui-dev (>= 5.116.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qtscript5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.15.2~),
                xauth,
                xvfb,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kross
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kross
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kross.git
@@ -45,11 +45,11 @@
 Section: libdevel
 Architecture: any
 Depends: kross (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.115.0~),
-         libkf5iconthemes-dev (>= 5.115.0~),
-         libkf5kio-dev (>= 5.115.0~),
-         libkf5parts-dev (>= 5.115.0~),
-         libkf5widgetsaddons-dev (>= 5.115.0~),
+         libkf5i18n-dev (>= 5.116.0~),
+         libkf5iconthemes-dev (>= 5.116.0~),
+         libkf5kio-dev (>= 5.116.0~),
+         libkf5parts-dev (>= 5.116.0~),
+         libkf5widgetsaddons-dev (>= 5.116.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Description: development files for kross
