=== debian/control ===
Source: kross
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.51.0~),
               libkf5completion-dev (>= 5.51.0~),
               libkf5coreaddons-dev (>= 5.51.0~),
               libkf5doctools-dev (>= 5.51.0~),
               libkf5i18n-dev (>= 5.51.0~),
               libkf5iconthemes-dev (>= 5.51.0~),
               libkf5kio-dev (>= 5.51.0~),
               libkf5parts-dev (>= 5.51.0~),
               libkf5service-dev (>= 5.10.0~),
               libkf5widgetsaddons-dev (>= 5.51.0~),
               libkf5xmlgui-dev (>= 5.51.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtscript5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.8.0~),
               xauth,
               xvfb
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kross
Vcs-Git: https://invent.kde.org/neon/kde/kross.git
Vcs-Browser: https://invent.kde.org/neon/kde/kross
Maintainer: Neon CI <neon@kde.org>

Package: kross
Architecture: any
Depends: libkf5krosscore5 (= ${binary:Version}),
         libkf5krossui5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: kross-dev
Section: libdevel
Architecture: any
Depends: kross (= ${binary:Version}),
         libkf5i18n-dev (>= 5.51.0~),
         libkf5iconthemes-dev (>= 5.51.0~),
         libkf5kio-dev (>= 5.51.0~),
         libkf5parts-dev (>= 5.51.0~),
         libkf5widgetsaddons-dev (>= 5.51.0~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends}
Description: development files for kross
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
 .
 Contains development files for kross.
Breaks: libkf5kdelibs4support-dev (<< 5.51)

Package: libkf5krosscore5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kross (>= ${binary:Version})
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: libkf5krossui5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
Multi-Arch: same
