## kross 5.116.0+p24.04+vstable+git20251220.0310

=== debian/changelog ===
kross (5.116.0+p24.04+vstable+git20251220.0310-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 03:10:31 +0000
