## kross 5.116.0+p24.04+vunstable+git20251015.1653

=== debian/changelog ===
kross (5.116.0+p24.04+vunstable+git20251015.1653-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 16:53:49 +0000
