## kross 5.116.0+p24.04+vunstable+git20251020.0645

=== debian/changelog ===
kross (5.116.0+p24.04+vunstable+git20251020.0645-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:45:50 +0000
