## kross 5.116.0+p24.04+vunstable+git20251124.1004

=== debian/changelog ===
kross (5.116.0+p24.04+vunstable+git20251124.1004-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 10:04:39 +0000
