## kross 5.116.0+p24.04+vunstable+git20251220.0312

=== debian/changelog ===
kross (5.116.0+p24.04+vunstable+git20251220.0312-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 03:13:07 +0000
